lkml.org 
[lkml]   [2003]   [Feb]   [17]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
SubjectRe: [RFC] klibc for 2.5.59 bk
From
> On Sun, Feb 16, 2003 at 09:06:09PM -0600, Kai Germaschewski wrote:
>
>> I did some work on integrating klibc into kbuild now. I used your
>> patch as guide line, though I started from scratch with klibc-0.77.
>> The build should work fine (reminder: "make KBUILD_VERBOSE=0 ..."
>> will give you much more readable output), but I probably broke some
>> non-x86 architectures in the process.
>
> Got this output when compiling user programs:
> USERCC usr/lib/snprintf.o
> cc1: warning: -malign-loops is obsolete, use -falign-loops
> cc1: warning: -malign-jumps is obsolete, use -falign-jumps
> cc1: warning: -malign-functions is obsolete, use -falign-functions
>

I get the same error compiling the kernel proper for Crusoe. This is what
I like to call an "annoyance warning" where maintaining compatibility
between gcc versions emit a neverending stream of annoying messages.

-hpa



-
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/

\
 
 \ /
  Last update: 2005-03-22 13:33    [W:0.041 / U:1.384 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site